package es.ua.j2ee.context;

import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;

public class EnviaAtributo extends HttpServlet {

	public void doGet(HttpServletRequest req, HttpServletResponse res)
			throws ServletException, IOException
	{
		ServletContext sc = getServletContext();

		String nombre = req.getParameter("nombre");
		String valor = req.getParameter("valor");

		String id = req.getSession().getId();

		MiAtributo atr = new MiAtributo(valor, id);

		sc.setAttribute(nombre, atr);

		RequestDispatcher rd = sc.getRequestDispatcher("/servlet/ListaAtributos");
		rd.forward(req, res);
	}

	public void doPost(HttpServletRequest req, HttpServletResponse res)
			throws ServletException, IOException
	{
		doGet(req,res);
	}
}
